using System;
using System.Windows.Forms;

namespace VideoCaptureLibraryDemo
{
    public partial class CaptureFrameRateDialog : Form
    {
        public CaptureFrameRateDialog()
        {
            InitializeComponent();
            okButton.DialogResult = DialogResult.OK;
            cancelButton.DialogResult = DialogResult.Cancel;
        }

        public void GetData(out int captureFrameRate)
        {
            switch (captureFrameRateComboBox.SelectedItem.ToString())
            {
                case "1 Frames Per Second":
                    captureFrameRate = 1;
                    break;
                case "5 Frames Per Second":
                    captureFrameRate = 5;
                    break;
                case "10 Frames Per Second":
                    captureFrameRate = 10;
                    break;
                case "12 Frames Per Second":
                    captureFrameRate = 12;
                    break;
                case "15 Frames Per Second":
                    captureFrameRate = 15;
                    break;
                case "20 Frames Per Second":
                    captureFrameRate = 20;
                    break;
                case "25 Frames Per Second":
                    captureFrameRate = 25;
                    break;
                case "30 Frames Per Second":
                    captureFrameRate = 30;
                    break;
                case "60 Frames Per Second":
                    captureFrameRate = 60;
                    break;
                default:
                    captureFrameRate = 25;
                    break;
            }
        }

        public void SetData(int captureFrameRate)
        {
            captureFrameRateComboBox.SelectedItem = captureFrameRate.ToString() + " Frames Per Second";
        }
    }
}